Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class I3DXML.Matrix4x3

    java.lang.Object
      igeo.io.I3DXML.Matrix4x3

Enclosing class:
  I3DXML

    public static class I3DXML.Matrix4x3

extends java.lang.Object

Field Summary
`double[][]` | `val`

Constructor Summary
`I3DXML.Matrix4x3()`
`I3DXML.Matrix4x3(double[] v)`
`I3DXML.Matrix4x3(double v1, double v2, double v3, double v4, double v5, double v6, double v7, double v8, double v9, double v10, double v11, double v12)`
`I3DXML.Matrix4x3(IMatrix3 m, IVec translate)`

Method Summary
`IMatrix4` | `getIMatrix4()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### val

    public double[][] val

Constructor Detail

### I3DXML.Matrix4x3

    public I3DXML.Matrix4x3()

### I3DXML.Matrix4x3

    public I3DXML.Matrix4x3(double v1,
                            double v2,
                            double v3,
                            double v4,
                            double v5,
                            double v6,
                            double v7,
                            double v8,
                            double v9,
                            double v10,
                            double v11,
                            double v12)

### I3DXML.Matrix4x3

    public I3DXML.Matrix4x3(double[] v)

### I3DXML.Matrix4x3

    public I3DXML.Matrix4x3(IMatrix3 m,
                            IVec translate)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getIMatrix4

    public IMatrix4 getIMatrix4()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD